#ifndef __ERRHANDLING__
#define __ERRHANDLING__

#include <string>

// Affiche l'éventuel message d'avertissement passé en argument.
void print_warn(const std::string &str = "");

// Affiche l'éventuel message d'erreur passé en argument,
// suivi du message donné par la variable errno.
void print_error(const std::string &str = "");

// Affiche l'éventuel message d'erreur passé en argument,
// avec print_error(), puis termine le processus appelant
// avec pour valeur de retour EXIT_FAILURE.
void exit_error(const std::string &str = "");

#endif // __ERRHANDLING__

